import os

VIRGO_KERNEL_BASE_DIR = '/usr/lib/vmware-virgo/server'
VIRGO_KERNEL_PLUGINS_DIR = os.path.join(VIRGO_KERNEL_BASE_DIR, 'plugins')
VIRGO_KERNEL_LIB_DIR = os.path.join(VIRGO_KERNEL_BASE_DIR, 'lib')
VIRGO_INSTANCE_BASE_DIR = '/usr/lib/vmware-vsphere-client/server'
VIRGO_INSTANCE_CONFIG_DIR = os.path.join(VIRGO_INSTANCE_BASE_DIR, 'configuration')
TOMCAT_XML_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR, 'tomcat-server.xml')
CONFIG_INI_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR, 'config.ini')
BUNDLES_INFO_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR,
                                 'org.eclipse.equinox.simpleconfigurator',
                                 'bundles.info')
SERVICEABILITY_XML_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR, 'serviceability.xml')
REPO_PROPS_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR,
                               'org.eclipse.virgo.repository.properties')
USERREGION_PROP_FILE = os.path.join(VIRGO_INSTANCE_CONFIG_DIR,
                                    'org.eclipse.virgo.kernel.userregion.properties')
